package com.sdtool.common.entity.system;

import com.sdtool.common.entity.base.BaseEntity;
import com.sweetfish.util.Comment;
import org.rex.db.RColumn;

/**
 * Created by jlutt on 2021-07-01
 * 个人配置
 * 有些配置需要跨平台，delphi客户端无法满足，配置存储在服务端
 * @author jlutt
 */
public class PersonConfigValue extends BaseEntity {

    @Comment("id")
    @RColumn("id")
    private long id;

    @Comment("")
    @RColumn("iduser")
    private long idUser;

    @Comment("")
    @RColumn("configkey")
    private String configKey;

    @Comment("")
    @RColumn("configname")
    private String configName;

    @Comment("")
    @RColumn("configvalue1")
    private String configValue1;

    @Comment("")
    @RColumn("configvalue2")
    private String configValue2;

    @Comment("")
    @RColumn("configvalue3")
    private String configValue3;

    public PersonConfigValue() {
    }

    public PersonConfigValue(long idUser, String configKey, String configValue1) {
        this.idUser = idUser;
        this.configKey = configKey;
        this.configValue1 = configValue1;
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public long getIdUser() {
        return idUser;
    }

    public void setIdUser(long idUser) {
        this.idUser = idUser;
    }

    public String getConfigKey() {
        return configKey;
    }

    public void setConfigKey(String configKey) {
        this.configKey = configKey;
    }

    public String getConfigName() {
        return configName;
    }

    public void setConfigName(String configName) {
        this.configName = configName;
    }

    public String getConfigValue1() {
        return configValue1;
    }

    public void setConfigValue1(String configValue1) {
        this.configValue1 = configValue1;
    }

    public String getConfigValue2() {
        return configValue2;
    }

    public void setConfigValue2(String configValue2) {
        this.configValue2 = configValue2;
    }

    public String getConfigValue3() {
        return configValue3;
    }

    public void setConfigValue3(String configValue3) {
        this.configValue3 = configValue3;
    }
}
